program SortTest;

(*                                                                             *
  Name:      SortTest                                                          *
                                                                               *
  Author:    Ruediger Walter <rue.walter@web.de>                               *
                                                                               *
  Version:   0.4.2 / 2014-11-07                                                *
                                                                               *
             Test application used for the development of TSortableHashList    *
             and the functions CompareShortStringSensitive and                 *
             CompareShortStringInsensitive in unit SortableHashList.           *
                                                                               *
             Please see the documentation of the unit TSortableHashList for    *
             basic information.                                                *
                                                                               *
                                                                               *
  Copyright (C) 2014 by Ruediger Walter <rue.walter@web.de>                    *
                                                                               *
  This library is licensed on the same Modifyed LGPL as Free Pascal RTL and    *
  Lazarus LCL. See the file COPYING.FPC, included in your FPC/Lazarus          *
  distribution, for details about the copyright.                               *
                                                                               *
  This program is distributed in the hope that it will be useful, but WITHOUT  *
  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or        *
  FITNESS FOR A PARTICULAR PURPOSE.                                            *
                                                                               *)

{$mode objfpc}{$H+}

uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms, SortTestMain, SortTestLog, tachartlazaruspkg;

{$R *.res}

begin
  RequireDerivedFormResource := True;
  Application.Initialize;  
  Application.CreateForm(TMainForm, MainForm);
  Application.CreateForm(TLogForm, LogForm);
  Application.Run;
end.

